package com.bocloud.ims.entity.resource.azure.automation;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: LogAnalytic
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2020/8/11 14:58
 */
public class LogAnalytic {

    private String name;

    private String uuid;

    private Long vendorId; // 平台id

    private String regionId;//地域

    private Long resourceGroupId;//资源组id

    //
    private String resourceGroupName;
    private String automationAccountUuid;
    private String primarySharedKey;
    private String customerId;
    private String automationAccountName;

    public String getAutomationAccountName() {
        return automationAccountName;
    }

    public void setAutomationAccountName(String automationAccountName) {
        this.automationAccountName = automationAccountName;
    }

    public String getPrimarySharedKey() {
        return primarySharedKey;
    }

    public void setPrimarySharedKey(String primarySharedKey) {
        this.primarySharedKey = primarySharedKey;
    }

    public String getCustomerId() {
        return customerId;
    }

    public void setCustomerId(String customerId) {
        this.customerId = customerId;
    }

    public String getAutomationAccountUuid() {
        return automationAccountUuid;
    }

    public void setAutomationAccountUuid(String automationAccountUuid) {
        this.automationAccountUuid = automationAccountUuid;
    }

    public String getResourceGroupName() {
        return resourceGroupName;
    }

    public void setResourceGroupName(String resourceGroupName) {
        this.resourceGroupName = resourceGroupName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public Long getVendorId() {
        return vendorId;
    }

    public void setVendorId(Long vendorId) {
        this.vendorId = vendorId;
    }

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public Long getResourceGroupId() {
        return resourceGroupId;
    }

    public void setResourceGroupId(Long resourceGroupId) {
        this.resourceGroupId = resourceGroupId;
    }
}